> ## Documentation Index
> Fetch the complete documentation index at: https://developers.lucca.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# List a statutory's distributions

> Retrieve all distributions of a specific statutory



## OpenAPI

````yaml /openapi-specs/Pagga-MealVoucher.yaml get /mealvoucher/api/statutories/{statutoryId}/distributions
openapi: 3.1.0
info:
  title: Lucca-MealVoucher
  version: '1.0'
  description: >-
    Welcome on the documentation for the Lucca MealVoucher API.


    Lucca MealVouchers is an online service that calculates the number of meal
    vouchers to be distributed to employees each month.
  contact:
    name: API Support
    url: https://support.lucca.fr
    email: contact@luccasoftware.com
  license:
    name: Unlicensed
    url: https://www.luccasoftware.com
servers:
  - url: https://{host}
    description: Your Lucca account URL.
    variables:
      host:
        default: example.ilucca.net
        description: >-
          The URL of your dedicated Lucca account: `{account}.{env}.{region}`.


          Account reflects your company name. Env indicates the environment.
          Region depends on your server location.


          **Please, use your test or sandbox environments (and not your
          production env.) for testing purposes.**


          Environments:

          - `ilucca`: production environment for customers.

          - `ilucca-test`: test environment for customers.

          - `ilucca-demo`: demo environment for prospects.


          Regions:

          - `.ch` for Swiss located accounts.

          - `.net` for the others.


          Regarding sandboxes, the pattern differs:
          `https://{account}-{sandboxName}.sandbox.{server}.luccasoftware.com`,
          where:

          - `{sandboxName}` is automatically generated upon creation.

          - `{server}` may be "eu1", "eu2" or "ch1".
security: []
tags:
  - name: Statutory
    description: The object containing all settings.
  - name: Computation
    description: >-
      The result of calculating the number of meal-vouchers to give each
      employee over a month.
  - name: Distributions
    description: The representation of a distribution of meal-vouchers to employees.
paths:
  /mealvoucher/api/statutories/{statutoryId}/distributions:
    parameters:
      - $ref: '#/components/parameters/Authorization'
      - $ref: '#/components/parameters/statutoryId'
    get:
      tags:
        - Statutory
      summary: List a statutory's distributions
      description: Retrieve all distributions of a specific statutory
      operationId: list-statutory-distributions
      parameters:
        - $ref: '#/components/parameters/Limit'
        - $ref: '#/components/parameters/FieldsRoot'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                examples:
                  - items:
                      - id: 5da6ad90-3b5f-4c57-8ac6-ea34e2d82ea6
                        startsOn: '2021-03-01T00:00:00'
                        endsOn: '2021-03-31T00:00:00'
                        status: 5
                        statutoryId: 8310b1ad-7145-4dfa-a980-89418f43957f
                        activeComputation:
                          id: 3d0c150e-cf21-4a91-801e-bc0febfb3d71
                      - id: 495efe21-4470-4e15-87ee-b5030449ad7c
                        startsOn: '2021-04-01T00:00:00'
                        endsOn: '2021-04-30T00:00:00'
                        status: 5
                        statutoryId: 8310b1ad-7145-4dfa-a980-89418f43957f
                        activeComputation:
                          id: a8136a7a-72fb-45f2-9eef-455714863fb4
                      - id: ba334b3c-3127-4596-a415-3e49d32068c8
                        startsOn: '2021-05-01T00:00:00'
                        endsOn: '2021-05-31T00:00:00'
                        status: 5
                        statutoryId: 8310b1ad-7145-4dfa-a980-89418f43957f
                        activeComputation:
                          id: 80bb853a-2b2b-4d7b-bf2c-84cd710de91a
                      - id: 3d7b9612-0be3-41f9-ad03-2deb69e7263f
                        startsOn: '2021-06-01T00:00:00'
                        endsOn: '2021-06-30T00:00:00'
                        status: 5
                        statutoryId: 8310b1ad-7145-4dfa-a980-89418f43957f
                        activeComputation:
                          id: c6355012-eb86-4e5d-8902-cc0c91771887
                      - id: 6743e293-172f-49aa-b9ff-6bd7a2dec5fa
                        startsOn: '2021-07-01T00:00:00'
                        endsOn: '2021-07-31T00:00:00'
                        status: 5
                        statutoryId: 8310b1ad-7145-4dfa-a980-89418f43957f
                        activeComputation:
                          id: 237ae6ac-9d61-4181-8634-7cce2e7a0255
                      - id: a0714c29-4740-4bd9-b5e2-037aaf2bf574
                        startsOn: '2021-08-01T00:00:00'
                        endsOn: '2021-08-31T00:00:00'
                        status: 5
                        statutoryId: 8310b1ad-7145-4dfa-a980-89418f43957f
                        activeComputation:
                          id: 8631d9d0-f037-4ddd-9663-92a4132c9d11
                      - id: d15932f1-8f9f-4980-934c-c0429bc8408d
                        startsOn: '2021-09-01T00:00:00'
                        endsOn: '2021-09-30T00:00:00'
                        status: 5
                        statutoryId: 8310b1ad-7145-4dfa-a980-89418f43957f
                        activeComputation:
                          id: ba312352-2eb5-4369-94dc-c83441f85fd0
                      - id: 867b8685-1ec9-4b22-938b-3fbcf806eccf
                        startsOn: '2021-10-01T00:00:00'
                        endsOn: '2021-10-31T00:00:00'
                        status: 5
                        statutoryId: 8310b1ad-7145-4dfa-a980-89418f43957f
                        activeComputation:
                          id: 33482515-3b74-4346-890d-78e0baeb44fd
                      - id: 7358977e-3413-4a47-b1bf-2cd3af9180ae
                        startsOn: '2021-11-01T00:00:00'
                        endsOn: '2021-11-30T00:00:00'
                        status: 5
                        statutoryId: 8310b1ad-7145-4dfa-a980-89418f43957f
                        activeComputation:
                          id: 2521c7e0-2508-46bf-baf5-bc2616d0bd7a
                      - id: edf0d114-fbb0-4342-be00-14c3808c4c13
                        startsOn: '2021-12-01T00:00:00'
                        endsOn: '2021-12-31T00:00:00'
                        status: 5
                        statutoryId: 8310b1ad-7145-4dfa-a980-89418f43957f
                        activeComputation:
                          id: 8be573d9-0a3e-4613-92c1-f86045221bdc
                      - id: c6af5f90-de75-46e1-9b78-52f38bfaa5b0
                        startsOn: '2022-01-01T00:00:00'
                        endsOn: '2022-01-31T00:00:00'
                        status: 5
                        statutoryId: 8310b1ad-7145-4dfa-a980-89418f43957f
                        activeComputation:
                          id: a41fc4bb-748f-437b-9a81-3ffa7d6ad2b6
                      - id: 2342989e-d31f-43b6-96d0-c4da91d69cf0
                        startsOn: '2022-02-01T00:00:00'
                        endsOn: '2022-02-28T00:00:00'
                        status: 5
                        statutoryId: 8310b1ad-7145-4dfa-a980-89418f43957f
                        activeComputation:
                          id: bc752bf7-2e39-4a37-aefd-fb7bf51bc007
                      - id: 31d10b88-36ef-43b7-8ca5-40deb094829b
                        startsOn: '2022-03-01T00:00:00'
                        endsOn: '2022-03-31T00:00:00'
                        status: 5
                        statutoryId: 8310b1ad-7145-4dfa-a980-89418f43957f
                        activeComputation:
                          id: bf13ee0a-8e4a-47b2-a2cd-8d446de73841
                      - id: 7a7502a0-73ad-4ca2-b49d-bdeec5855c7a
                        startsOn: '2022-04-01T00:00:00'
                        endsOn: '2022-04-30T00:00:00'
                        status: 5
                        statutoryId: 8310b1ad-7145-4dfa-a980-89418f43957f
                        activeComputation:
                          id: 465ba418-b1b1-4adf-a318-ee61b446150d
                      - id: 917c25ab-32c9-458e-8c18-f65b959c0908
                        startsOn: '2022-05-01T00:00:00'
                        endsOn: '2022-05-31T00:00:00'
                        status: 5
                        statutoryId: 8310b1ad-7145-4dfa-a980-89418f43957f
                        activeComputation:
                          id: ef60584d-22fb-4bc5-bcf8-569fdcc4c2ef
                      - id: 5fa64a0b-70b9-4b7e-9a82-73db7076b9f8
                        startsOn: '2022-06-01T00:00:00'
                        endsOn: '2022-06-30T00:00:00'
                        status: 5
                        statutoryId: 8310b1ad-7145-4dfa-a980-89418f43957f
                        activeComputation:
                          id: 53c67813-5917-4454-b54b-ebad44ffdca1
                      - id: 0574cacd-75ba-4726-a964-f727e2f18c9c
                        startsOn: '2022-07-01T00:00:00'
                        endsOn: '2022-07-31T00:00:00'
                        status: 5
                        statutoryId: 8310b1ad-7145-4dfa-a980-89418f43957f
                        activeComputation:
                          id: 36a3f92f-7e1b-4159-845c-e25e7f3c9d25
                      - id: ade9d849-f486-4d49-bd1d-c780299d31af
                        startsOn: '2022-08-01T00:00:00'
                        endsOn: '2022-08-31T00:00:00'
                        status: 5
                        statutoryId: 8310b1ad-7145-4dfa-a980-89418f43957f
                        activeComputation:
                          id: 83ca02e0-6e6e-48d6-ab0b-2c81203e84f4
                      - id: d823d8fa-c761-4805-9d61-b576a6b2dc8f
                        startsOn: '2022-09-01T00:00:00'
                        endsOn: '2022-09-30T00:00:00'
                        status: 5
                        statutoryId: 8310b1ad-7145-4dfa-a980-89418f43957f
                        activeComputation:
                          id: be2607d5-45ff-48b3-9b1f-fcb8f7da8495
                      - id: 9fbcf2bc-9ff4-4793-8201-ee2d26236e8f
                        startsOn: '2022-10-01T00:00:00'
                        endsOn: '2022-10-31T00:00:00'
                        status: 5
                        statutoryId: 8310b1ad-7145-4dfa-a980-89418f43957f
                        activeComputation:
                          id: 10ab0d4d-74a4-478b-a7ef-a0cf9ffc8426
                properties:
                  items:
                    $ref: '#/components/schemas/Distribution'
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
components:
  parameters:
    Authorization:
      name: Authorization
      required: true
      description: 'API key. Value must be formatted like so: `lucca application={api_key}`.'
      in: header
      schema:
        type: string
    statutoryId:
      name: statutoryId
      in: path
      schema:
        type: string
        format: uuid
      required: true
      description: Unique identifier of the statutory
    Limit:
      name: limit
      in: query
      required: false
      schema:
        type: integer
        format: int32
        default: 10
        maximum: 10
        minimum: 1
      description: Page size
    FieldsRoot:
      name: fields.root
      in: query
      required: false
      description: Return total items count (across all pages).
      schema:
        type: string
        enum:
          - prev
          - next
          - count
  schemas:
    Distribution:
      type: object
      examples:
        - id: 5da6ad90-3b5f-4c57-8ac6-ea34e2d82ea6
          startsOn: '2023-03-01T00:00:00'
          endsOn: '2023-03-31T00:00:00'
          status: 5
          statutoryId: 8310b1ad-7145-4dfa-a980-89418f43957f
          activeComputation:
            id: 3d0c150e-cf21-4a91-801e-bc0febfb3d71
      title: The Distribution ressource
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier of the distribution
        startsOn:
          type: string
          format: date
          description: Start date of the distribution period
        endsOn:
          type: string
          format: date
          description: End date of the distribution period
        status:
          type: integer
          description: Status of the distribution
        activeComputation:
          type: object
          properties:
            id:
              type: string
              format: uuid
      description: >-
        A distribution is the computation of meal vouchers allocation to
        recipients for a given period and statutory

````